%global pypi_name oslo.reports

Summary:    oslo.reports library
Name:       python-oslo-reports
Version:    3.1.0
Release:    1%{?dist}
License:    Apache-2.0
URL:        https://opendev.org/openstack/oslo.reports
Source0:    %{pypi_source}

Requires:    python3-jinja2 python3-pbr python3-psutil python3-six
BuildArch:   noarch

%description
OpenStack library for creating Guru Meditation Reports and other reports

%package -n python3-oslo-reports
Summary:    oslo.reports library
BuildRequires:  python3-devel python3-setuptools python3-pip python3-pbr
Provides:    python-oslo-reports

%description -n python3-oslo-reports
OpenStack library for creating Guru Meditation Reports and other reports

%prep
%autosetup -n oslo.reports-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}%{_pkgdocdir}
cp -arf doc %{buildroot}%{_pkgdocdir}

%files -n python3-oslo-reports
%dir %{python3_sitelib}/*
%{python3_sitelib}/oslo_reports
%{python3_sitelib}/*.egg-info
%{_docdir}/*

%changelog
* Tue Sep 26 2023 kianli <kianli@tencent.com> - 3.1.0-1
- Upgrade to 3.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Shuo Wang <abushwang@tencent.com> - 2.2.0-1
- initial build
